Update Job Step Task

View as Markdown
Update a job step task.

Path parameters

jobstringRequired
stepstringRequired
namestringRequired
workspacestringRequired

Request

This endpoint expects an object.
statusenumOptionalDefaults to pending
Enumeration of possible job statuses. This enum represents the various states a job can be in during its lifecycle, from creation to a terminal state.
status_detailsmap from strings to anyOptional
error_detailsmap from strings to anyOptional
error_stackstringOptional

Response

Successful Response
workspacestringformat: "^[\w\-\+.@:]+$"
Workspace identifier
step_idstring
Parent step ID
idstringRead-only
created_atdatetimeRead-only
created_bystring or nullRead-only
updated_atdatetimeRead-only
updated_bystring or nullRead-only
entity_idstringRead-only
Alias for id for backwards compatibility.
parentstringRead-only
Parent entity ID for nested entities.
namestringDefaults to
Entity name within the workspace
projectstring
The name of the project associated with this entity.
statusenumDefaults to pending
Task status
status_detailsmap from strings to any
Details about the task status
error_detailsmap from strings to any
Details about task errors
error_stackstring
Error stack trace if applicable

Errors

404
Not Found Error
422
Unprocessable Entity Error